Train Predicted Attribute (Reconciliation Compliance)

Trains the predicted attribute for the specified period. The training is based on historical data of the target attribute and the parameters that were specified when creating the predicted attribute. After the training is complete, use a Predict Predicted Attribute job to predict values for a predicted attribute.

REST Resource

POST       /armARCS/rest/{api_version}/jobs

Required Roles

Service Administrator or Profiles and Reconciliations - Manage

Request

Supported Media Types: application/json

Parameters

The following table summarizes the client request parameters specific to this job.

Table 18-33 TRAIN_ATTRIBUTE

Name Description Required
api_version Version of the API you are working with: v1 Yes
jobName The name of the job, TRAIN_ATTRIBUTE Yes
period The period used when training the predicted attribute. Data for one year prior to the specified period is used. For example, if you specify Oct-2025, historical data from November 2024 to October 2025 is used. Yes
attributeName The name of the predicted attribute that must be trained Yes

Example of request body

{
 "jobName" : "TRAIN_ATTRIBUTE",
 "parameters": {
     "period": "Apr-2024",
    "attribute": "Predicted Risk Rating"
     }
}

Response

Supported Media Types: application/json

Parameters:

Table 18-34 Parameters

Name Description
details In case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel Relationship type
data Parameters as key value pairs passed in the request

Example of Response Body

The following is an example of the response body in JSON format.

Sample Response body:

{
    "type": "ARCS",
    "status": -1,
    "details": "In Process",
    "links": [
        {
            "href": "https://<SERVICE_NAME>-<TENANT_NAME>.<SERVICE_TYPE>.<dcX>.oraclecloud.com/armARCS/rest/v1/jobs/100000103240030",
            "action": "GET",
            "rel": "self"
        }
    ]
}